---
title: "Madlan API: Search | Perceptlayer"
description: "Search from Madlan as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/madlan/search
---

[APIs](https://perceptlayer.com/apis) / [Madlan](https://perceptlayer.com/apis/madlan) / Search

# Madlan: Search

Search from Madlan as JSON. 1 credit per successful call.

GET `/v1/madlan/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `query` | string | Optional | Up to 120 characters |
| `deal_type` | string | Optional | unitBuy, unitRent |
| `price_min` | number | Optional | Any |
| `price_max` | number | Optional | Any |
| `beds` | number | Optional | Any |
| `floor` | number | Optional | Any |
| `offset` | integer | Optional | Any |
| `limit` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/madlan/search?deal_type=unitRent&price_min=0&price_max=6000&beds=3&limit=3" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/madlan?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
